Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.validators.datatype
Class BooleanDatatypeValidator

    java.lang.Object
      |
      +--org.apache.xerces.validators.datatype.AbstractDatatypeValidator
            |
            +--org.apache.xerces.validators.datatype.BooleanDatatypeValidator

public class BooleanDatatypeValidator
extends AbstractDatatypeValidator

BooleanValidator validates that content satisfies the W3C XML Datatype for Boolean

Version:
  $Id: BooleanDatatypeValidator.java,v 1.10 2001/04/25 20:41:54 elena Exp $
Author:
  Ted Leung, Jeffrey Rodriguez, Mark Swinkles - List Validation refactoring

Fields inherited from class org.apache.xerces.validators.datatype.AbstractDatatypeValidator
`fBaseValidator, fFacetsDefined, fFlags, fLocale, fMessageProvider, fPattern, fRegex`

Constructor Summary
`BooleanDatatypeValidator()`
`BooleanDatatypeValidator(DatatypeValidator base, java.util.Hashtable facets, boolean derivedByList)`

Method Summary
`java.lang.Object` | `clone()` Returns a copy of this object.
`int` | `compare(java.lang.String content1, java.lang.String content2)` Compare two boolean data types
`java.util.Hashtable` | `getFacets()` Return a Hashtable that contains facet information
`java.lang.Object` | `validate(java.lang.String content, java.lang.Object state)` validate that a string matches the boolean datatype

Methods inherited from class org.apache.xerces.validators.datatype.AbstractDatatypeValidator
`getBaseValidator, getErrorString, getWSFacet, setLocale`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BooleanDatatypeValidator

    public BooleanDatatypeValidator()
                             throws InvalidDatatypeFacetException

### BooleanDatatypeValidator

    public BooleanDatatypeValidator(DatatypeValidator base,
                                    java.util.Hashtable facets,
                                    boolean derivedByList)
                             throws InvalidDatatypeFacetException

Method Detail

### validate

    public java.lang.Object validate(java.lang.String content,
                                     java.lang.Object state)
                              throws InvalidDatatypeValueException

  validate that a string matches the boolean datatype
  Overrides:
    validate in class AbstractDatatypeValidator
  Parameters:
    `content` - A string containing the content to be validated
  Throws:
    throws - InvalidDatatypeException if the content is is not valid.

### compare

    public int compare(java.lang.String content1,
                       java.lang.String content2)

  Compare two boolean data types
  Parameters:
    `content1` -
    `content2` -
  Returns:
    0 if equal, 1 if not equal

### getFacets

    public java.util.Hashtable getFacets()

  Return a Hashtable that contains facet information
  Returns:
    Hashtable

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a copy of this object.
  Overrides:
    clone in class AbstractDatatypeValidator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.